Subject: Re: [PATCH] sch_htb.c consume the classes's tokens bellow the HTB_CAN_SEND level

From: Martin Devera <[email-masked]>
Date: Wed, 04 Nov 2009 12:58:01 +0100

Changli Gao wrote:
> On Wed, Nov 4, 2009 at 6:58 PM, Martin Devera <[email-masked]> wrote:
>> Hello,
>>
>> yes you are right. If I remember correctly, I tried to charge "rate"
>> tokens up to root in early versions (which makes some sense) but problem
>> is with many interior classes stuck at extreme mbuffer value, losing
>> responsivity.
> 
> It is strange. Would you like describe it more clearly?

Ahh I'm starting to understand. You are concerned mainly with

cl->tokens += diff;     /* we moved t_c; update tokens */

am I right ?